Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 923428 - sys-apps/kcheck-0.0.2-r2 installs deprecated .egg/.egg-info
Summary: sys-apps/kcheck-0.0.2-r2 installs deprecated .egg/.egg-info
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 921639
  Show dependency tree
 
Reported: 2024-01-31 18:15 UTC by Agostino Sarubbo
Modified: 2024-07-05 10:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,46.72 KB, text/plain)
2024-01-31 18:15 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-01-31 18:15:46 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sys-apps/kcheck-0.0.2-r2 installs deprecated .egg/.egg-info.
Discovered on: amd64 (internal ref: gcc14_tinderbox)
System: GCC-14-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#GCC-14)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#QA0076
Comment 1 Agostino Sarubbo gentoo-dev 2024-01-31 18:15:48 UTC
Created attachment 883874 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-07-05 10:53:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a44aa6db797f7f034d2cb37443fdcda46207e3fe

commit a44aa6db797f7f034d2cb37443fdcda46207e3fe
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2024-07-05 10:53:18 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2024-07-05 10:53:18 +0000

    sys-apps/kcheck: EAPI=8, enable py3.11, py3.12
    
    Closes: https://bugs.gentoo.org/897256
    Closes: https://bugs.gentoo.org/910033
    Closes: https://bugs.gentoo.org/929814
    Closes: https://bugs.gentoo.org/923428
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 ...check-0.0.2-r2.ebuild => kcheck-0.0.2-r3.ebuild} | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)